unit usage_u1;

interface

uses
  {$IfDef Win32}
  Windows,
  {$Else}
  WinProcs,WinTypes,
  {$Endif}
  Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Std2, zPanel, StdCtrls, Zseg, ExtCtrls, Mystd, SlideBar;

type
  TForm1 = class(TForm)
    GroupBox1: TGroupBox;
    Panel1: TPanel;
    zcPeakOmeter1: TzcPeakOmeter;
    Label1: TLabel;
    zcPeakOmeter2: TzcPeakOmeter;
    GroupBox2: TGroupBox;
    Panel2: TPanel;
    zScope1: TzScope;
    zcTimer1: TzcTimer;
    zBigLabel1: TzBigLabel;
    zKnob2: TzKnob;
    zBigLabel2: TzBigLabel;
    zSlideBar1: TzSlideBar;
    Panel3: TPanel;
    zcDotLabel1: TzcDotLabel;
    Panel4: TPanel;
    zcDotLabel2: TzcDotLabel;
    procedure zcTimer1Timer(Sender: TObject);
    procedure zKnob1Change(Sender: TObject);
    procedure zKnob2Change(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    TheMax : Integer;
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.zcTimer1Timer(Sender: TObject);
Var
  GreenValue,
  RedValue : Integer;
begin
  GreenValue:=Random(TheMax);
  RedValue:=Random(GreenValue);
  zScope1.Channel1:=RedValue;
  zScope1.Channel2:=GreenValue;
  zcPeakOmeter1.Color2Pos:=RedValue;
  zcPeakOmeter2.Color2Pos:=RedValue;
  zcPeakOmeter1.Value:=GreenValue;
  zcPeakOmeter2.Value:=GreenValue;
  Label1.Caption:=IntToStr(GreenValue)+'%';
  zcDotLabel1.Caption:=Format('%-.3d',[GreenValue]);
  zcDotLabel2.Caption:=Format('%-.3d',[RedValue]);
end;

procedure TForm1.zKnob1Change(Sender: TObject);
begin
  zcTimer1.Interval:=1100-zSlideBar1.Value;
end;

procedure TForm1.zKnob2Change(Sender: TObject);
begin
  TheMax:=zKnob2.Value;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Randomize;
  TheMax:=100;
  zKnob2.Value:=TheMax;
  zSlideBar1.Value:=1100-zcTimer1.Interval;
end;

end.
